Bug 23670 - [usb] USB Mouse no longer works
[usb] USB Mouse no longer works
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-09 15:44 EST by Frank Sweetser
Modified: 2007-04-18 12:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-19 15:21:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug23670a.diff (409 bytes, patch)
2001-03-19 15:20 EST, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Frank Sweetser 2001-01-09 15:44:16 EST
Targus USB scroll mouse, worked fine in 7.0, no longer works.   The kernel
does recognize it

input0: USB HID v1.00 Mouse [KYE Genius USB Wheel Mouse] on usb1:2.0
mouse0: PS/2 mouse device for input0

but the installer never seems to use it.  Also, unplugging and repluggins
generates kernel errors.

unplug:
usb.c: USB disconnect on device 2

and then replug:
hub.c: Cannot enable port 1 of hub 1, disabling port.
hub.c: Maybe the USB cable is bad?
Comment 1 Frank Sweetser 2001-02-19 16:38:44 EST
Okay, an improvement... the mouse now works during the install.

However, if I switch consoles out of X, the mouse suddenly gets disconnected,
followed by the same error messages.  Reboot seems to be required to wake the
mouse back up after that.
Comment 2 Trond Eivind Glomsrxd 2001-02-26 22:23:54 EST
Did you try Wolverine?
Comment 3 Frank Sweetser 2001-02-27 08:15:58 EST
Yup - this was under wolverine (just forgot to set the version on the ticket)
Comment 4 Pete Zaitcev 2001-03-05 18:39:01 EST
I am having difficulties reproducing this on a fresh
wolverine install with the following kernel:
Linux version 2.4.1-0.1.9smp (root@porky.devel.redhat.com) (gcc version 2.96
20000731 (Red Hat Linux 7.1 2.96-75)) #1 SMP Wed Feb 14 21:52:02 EST 2001

My controller is onboard UHCI, I assume this is what
the requestor uses, because it was not mentioned.

I would like to see result of "cat /proc/version"
and whole dmesg output.
Comment 5 Frank Sweetser 2001-03-09 11:53:29 EST
/proc/version

Linux version 2.4.2-0.1.19 (root@porky.devel.redhat.com) (gcc version 2.96
20000731 (Red Hat Linux 7.1 2.96-76)) #1 Thu Mar 1 21:39:54 EST 2001

dmesg

Linux version 2.4.2-0.1.19 (root@porky.devel.redhat.com) (gcc version 2.96
20000731 (Red Hat Linux 7.1 2.96-76)) #1 Thu Mar 1 21:39:54 EST 2001
BIOS-provided physical RAM map:
 BIOS-e820: 000000000009f800 @ 0000000000000000 (usable)
 BIOS-e820: 0000000000000800 @ 000000000009f800 (reserved)
 BIOS-e820: 0000000000017c00 @ 00000000000e8400 (reserved)
 BIOS-e820: 0000000007ef0000 @ 0000000000100000 (usable)
 BIOS-e820: 000000000000fc00 @ 0000000007ff0000 (ACPI data)
 BIOS-e820: 0000000000000400 @ 0000000007fffc00 (ACPI NVS)
 BIOS-e820: 0000000000080000 @ 00000000fff80000 (reserved)
On node 0 totalpages: 32752
zone(0): 4096 pages.
zone DMA has max 32 cached pages.
zone(1): 28656 pages.
zone Normal has max 223 cached pages.
zone(2): 0 pages.
zone HighMem has max 1 cached pages.
Kernel command line: auto BOOT_IMAGE=linux ro root=306
BOOT_FILE=/boot/vmlinuz-2.4.2-0.1.19
Initializing CPU#0
Detected 597.414 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 1192.75 BogoMIPSMemory: 120972k/131008k available
(1364k kernel code, 9648k reserved, 94k data, 232k init, 0k highmem)
Dentry-cache hash table entries: 16384 (order: 5, 131072 bytes)
Buffer-cache hash table entries: 4096 (order: 2, 16384 bytes)
Page-cache hash table entries: 32768 (order: 6, 262144 bytes)
Inode-cache hash table entries: 8192 (order: 4, 65536 bytes)
VFS: Diskquotas version dquot_6.5.0 initialized
CPU: Before vendor init, caps: 0383f9ff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0383f9ff 00000000 00000000 00000000
CPU: After generic, caps: 0383f9ff 00000000 00000000 00000000
CPU: Common caps: 0383f9ff 00000000 00000000 00000000
CPU: Intel Pentium III (Coppermine) stepping 03
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.37 (20001109) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: IntelPCI: PCI BIOS revision 2.10 entry at 0xfd980,
last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
Unknown bridge resource 2: assuming transparent
PCI: Using IRQ router PIIX [8086/7110] at 00:07.0
PCI: Found IRQ 10 for device 00:0a.0
PCI: The same IRQ used for device 00:0b.0
PCI: The same IRQ used for device 00:0b.1
PCI: Found IRQ 10 for device 00:0a.1
PCI: The same IRQ used for device 01:00.0
  got res[10000000:10000fff] for resource 0 of Texas Instruments PCI1420
  got res[10001000:10001fff] for resource 0 of Texas Instruments PCI1420 (#2)
Limiting direct PCI/PCI transfers.
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.14)
Starting kswapd v1.8
pty: 256 Unix98 ptys configured
block: queued sectors max/low 80240kB/26746kB, 256 slots per queueRAMDISK driver
initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x18a0-0x18a7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0x18a8-0x18af, BIOS settings: hdc:DMA, hdd:pio
hda: IBM-DARA-206000, ATA DISK drive
hdc: CD-224E, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: 11733120 sectors (6007 MB) w/418KiB Cache, CHS=776/240/63, UDMA(33)
Partition check:
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 >
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
Serial driver version 5.02 (2000-08-09) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
Real Time Clock Driver v1.10d
md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27

md.c: sizeof(mdp_super_t) = 4096
autodetecting RAID arrays
autorun ...
... autorun DONE.
LVM version 0.9.1_beta2  by Heinz Mauelshagen  (18/01/2001)
lvm -- Driver successfully initialized
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 512 buckets, 4Kbytes
TCP: Hash tables configured (established 32768 bind 32768)
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 232k freed
Adding Swap: 68032k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.251 $ time 21:52:11 Mar  1 2001
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 10 for device 00:07.2
usb-uhci.c: USB UHCI at I/O 0x1880, IRQ 10
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1hub.c: USB hub found
hub.c: 2 ports detected
Winbond Super-IO detection, now testing ports 3F0,370,250,4E,2E ...
SMSC Super-IO detection, now testing Ports 2F0, 370 ...
0x378: FIFO is 16 bytes
0x378: writeIntrThreshold is 8
0x378: readIntrThreshold is 8
0x378: PWord is 8 bits
0x378: Interrupts are ISA-Pulses
0x378: ECP port cfgA=0x14 cfgB=0x4b
0x378: ECP settings irq=7 dma=3
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE,COMPAT,ECP]
parport0: irq 7 detected
parport0: cpp_daisy: aa5500ff(38)
parport0: assign_addrs: aa5500ff(38)
parport0: cpp_daisy: aa5500ff(38)
parport0: assign_addrs: aa5500ff(38)
ip_conntrack (1023 buckets, 8184 max)
PCI: Found IRQ 10 for device 00:0b.0
PCI: The same IRQ used for device 00:0a.0
PCI: The same IRQ used for device 00:0b.1
3c59x.c:LK1.1.13 27 Jan 2001  Donald Becker and others.
http://www.scyld.com/netSee Documentation/networking/vortex.txt
eth0: 3Com PCI 3c556 Laptop Tornado at 0x1800,  00:00:86:41:c4:4d, IRQ 10
  product code 0000 rev 00.0 date 09-02-99
eth0: CardBus functions mapped f4002000->c8835000
  8K byte-wide RAM 5:3 Rx:Tx split, MII interface.
  MII transceiver found at address 0, status 782d.
  Enabling bus-master transmits and whole-frame receives.
eth0: scatter/gather disabled. h/w checksums enabled
eth0: using default media MII
eth0: using default media MII
Linux PCMCIA Card Services 3.1.22
  options:  [pci] [cardbus] [pm]
PCI: Found IRQ 10 for device 00:0a.0
PCI: The same IRQ used for device 00:0b.0
PCI: The same IRQ used for device 00:0b.1
PCI: Found IRQ 10 for device 00:0a.1
PCI: The same IRQ used for device 01:00.0
Yenta IRQ list 0898, PCI irq10
Socket status: 30000006
Yenta IRQ list 0898, PCI irq10
Socket status: 30000006
cs: IO port probe 0x0c00-0x0cff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x378-0x37f 0x398-0x39f 0x4d0-0x4d7
cs: IO port probe 0x0a00-0x0aff: clean.







Comment 6 Pete Zaitcev 2001-03-09 13:59:17 EST
Thanks for the dmesg. At least we know that it is uhci.
Where are those "usb.c: USB disconnect on device 2"
and "hub.c: Cannot enable port 1 of hub 1, disabling port."
mentioned in the original report? You just rebooted
without trying to reproduce the problem, right?
Comment 7 Pete Zaitcev 2001-03-09 14:05:00 EST
ramusin: Sorry, the previous updates did not came out quite right.

I was trying to say that message
"hub.c: Cannot enable port 1 of hub 1, disabling port."
does not come alone, but the previous (informative)
message(s) do not get to console, they get into dmesg.
It was the whole point of the dmesg exercise, along with
establishing that you have UHCI.

Try to rummage in old /var/log/messages*, they may be
saved there too.
Comment 8 Frank Sweetser 2001-03-09 14:16:13 EST
Nope, nothing else appears, although the message

hub.c: Cannot enable port 1 of hub 1, disabling port.
hub.c: Maybe the USB cable is bad?

is repeated each time the mouse is inserted.  This was all cut and pasted from
the output of the dmesg command, and I don't see anything else obvious in dmesg.
Comment 9 Pete Zaitcev 2001-03-12 19:34:42 EST
I failed to reproduce the problem locally so far.
Working with the requestor to track it down in custom kernels.
Comment 10 Pete Zaitcev 2001-03-14 23:58:47 EST
Here's a status update for today. Got a log with dbg() printouts.

hub.c: enabling power on all ports
hub.c: port 1 connection change
hub.c: port 1, portstatus 301, change 1, 1.5 Mb/s
hub.c: port 1, portstatus 303, change 0, 1.5 Mb/s
hub.c: USB new device connect on bus1/1, assigned device number 2
usb.c: USB device 2 (vend/prod 0x458/0x3) is not claimed by any active driver.
usb.c: registered new driver hid
input0: USB HID v1.00 Mouse [KYE Genius USB Wheel Mouse] on usb1:2.0
mouse0: PS/2 mouse device for input0
mice: PS/2 mouse device common for all mice
....................
hub.c: port 1 connection change
hub.c: port 1, portstatus 100, change 3, 12 Mb/s
usb.c: USB disconnect on device 2
hub.c: port 1 enable change, status 100
....................
hub.c: port 1 connection change
hub.c: port 1, portstatus 301, change 1, 1.5 Mb/s
hub.c: port 1, portstatus 100, change 0, 12 Mb/s
hub.c: port 1 of hub 1 not enabled, trying reset again...
hub.c: port 1, portstatus 100, change 0, 12 Mb/s
hub.c: port 1 of hub 1 not enabled, trying reset again...
hub.c: port 1, portstatus 100, change 0, 12 Mb/s
hub.c: port 1 of hub 1 not enabled, trying reset again...
hub.c: port 1, portstatus 100, change 0, 12 Mb/s
hub.c: port 1 of hub 1 not enabled, trying reset again...
hub.c: port 1, portstatus 100, change 0, 12 Mb/s
hub.c: port 1 of hub 1 not enabled, trying reset again...
hub.c: Cannot enable port 1 of hub 1, disabling port.
hub.c: Maybe the USB cable is bad?

Bit 0 is PORT_CONNECTION, so hub hardware loses sense of
attached device. Hmm.
Comment 11 Pete Zaitcev 2001-03-19 15:20:59 EST
Created attachment 13063 [details]
bug23670a.diff

Note You need to log in before you can comment on or make changes to this bug.